RelayAPI

Create a campaign

POST
/v1/ads/campaigns
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Header Parameters

idempotency-key*string

Caller-generated key that identifies one logical paid-object creation

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/ads/campaigns" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "ad_account_id": "string",    "name": "string",    "objective": "awareness"  }'
{  "data": {    "ad_account_id": "string",    "ad_count": 0,    "created_at": "2019-08-24T14:15:22Z",    "currency": "string",    "daily_budget_cents": 0,    "end_date": "2019-08-24T14:15:22Z",    "id": "string",    "is_external": true,    "lifetime_budget_cents": 0,    "metrics": {      "clicks": 0,      "conversions": 0,      "cpc_cents": 0,      "cpm_cents": 0,      "ctr": 0,      "impressions": 0,      "reach": 0,      "spend_cents": 0    },    "name": "string",    "objective": "string",    "platform": "meta",    "platform_campaign_id": "string",    "start_date": "2019-08-24T14:15:22Z",    "status": "draft",    "updated_at": "2019-08-24T14:15:22Z"  }}

Found something wrong? Help us improve this page.